import { inject, computed } from 'vue';
import { useRouter } from 'vue-router';
import { classificationPostsSymbol, classificationSummarySymbol, postsSymbol, } from '../constants';
export function usePageData() {
    const { currentRoute } = useRouter();
    const classificationSummary = inject(classificationSummarySymbol);
    const posts = inject(postsSymbol);
    const cp = inject(classificationPostsSymbol);
    const classificationPosts = computed(() => {
        return (cp.value[currentRoute.value.path] || {});
    });
    return { classificationPosts, classificationSummary, posts };
}
